<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.perfmon"
   name="%PLUGIN_NAME"
   version="3.0.1"
   provider-name="%PLUGIN_PROVIDER"
   class="org.eclipse.hyades.perfmon.PerfmonPlugin">

   <runtime>
      <library name="perfmon.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.perfmon"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.swt"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.hyades.trace.ui" export="true"/>
      <import plugin="org.eclipse.hyades.execution.core"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
<!--<import plugin="org.eclipse.hyades.models.common"/>-->
      <import plugin="org.eclipse.hyades.models.statistical"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.statistical.ui"/>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.debug.ui"/>
   </requires>


   <extension
         point="org.eclipse.hyades.ui.navigatorExtensions">
      <navigatorContribution
            class="org.eclipse.hyades.perfmon.ProfileNavigatorExtension"
            navigatorID="org.eclipse.hyades.trace.ui.profileNavigator">
      </navigatorContribution>
   </extension>
   <extension
         point="org.eclipse.hyades.statistical.ui.StatConModule">
      <module
            class="org.eclipse.hyades.perfmon.PerfmonStatConModule">
      </module>
   </extension>
   <extension
         point="org.eclipse.debug.core.launchConfigurationTypes">
      <launchConfigurationType
            name="%LAUNCH_CONFIG_NAME"
            delegate="org.eclipse.hyades.perfmon.PerfmonLauncher"
            modes="profile"
            id="org.eclipse.hyades.perfmon.perfmonAgent">
      </launchConfigurationType>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTabGroups">
      <launchConfigurationTabGroup
            type="org.eclipse.hyades.perfmon.perfmonAgent"
            class="org.eclipse.hyades.perfmon.PerfmonConfigTabGroup"
            id="org.eclipse.hyades.perfmon.launchConfigurationTabGroup.perfmonAgent">
         <launchMode
               perspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
               mode="profile">
         </launchMode>
      </launchConfigurationTabGroup>
   </extension>
   <extension
         point="org.eclipse.debug.ui.launchConfigurationTypeImages">
      <launchConfigurationTypeImage
            icon="icons/full/obj16/logo.gif"
            configTypeID="org.eclipse.hyades.perfmon.perfmonAgent"
            id="org.eclipse.hyades.perfmon.launchConfigurationTypeImage.perfmonAgent">
      </launchConfigurationTypeImage>
   </extension>

</plugin>
